aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries/bash/entry
diff options
context:
space:
mode:
authorVratko Polak <vrpolak@cisco.com>2020-02-18 14:18:39 +0100
committerVratko Polak <vrpolak@cisco.com>2020-02-18 14:18:39 +0100
commite44449348b919996816019cd0c234c0328d593fd (patch)
treec4d0de2759a029acabe1a409368a5bfdcad12289 /resources/libraries/bash/entry
parent0f70d751c7a31dc81bc7a1dc9854a07ff8c4b1b8 (diff)
Perpatch: Fix bash ansible calls
The function ansible_hosts got renamed to ansible_playbook in https://gerrit.fd.io/r/c/csit/+/24511 Change-Id: Ife4e7b13f634fcdda95f80c18bc86cfded139b5d Signed-off-by: Vratko Polak <vrpolak@cisco.com>
Diffstat (limited to 'resources/libraries/bash/entry')
-rw-r--r--resources/libraries/bash/entry/per_patch_perf.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/resources/libraries/bash/entry/per_patch_perf.sh b/resources/libraries/bash/entry/per_patch_perf.sh
index 95b067bbd3..deae8b0bd3 100644
--- a/resources/libraries/bash/entry/per_patch_perf.sh
+++ b/resources/libraries/bash/entry/per_patch_perf.sh
@@ -68,7 +68,7 @@ for ((iter=0; iter<iterations; iter++)); do
if ((iter)); then
# Function reserve_and_cleanup_testbed has already cleaned it once,
# but we need to clean it explicitly on subsequent iterations.
- ansible_hosts "cleanup" || die
+ ansible_playbook "cleanup" || die
fi
# Testing current first. Good for early failures or for API changes.
select_build "build_current" || die
@@ -78,7 +78,7 @@ for ((iter=0; iter<iterations; iter++)); do
archive_parse_test_results "csit_current/${iter}" || die
die_on_pybot_error || die
# TODO: Use less heavy way to avoid apt remove failures.
- ansible_hosts "cleanup" || die
+ ansible_playbook "cleanup" || die
select_build "build_parent" || die
check_download_dir || die
run_pybot || die